CollectSignatureFlow
Keywords: net.corda.core.flows.CollectSignatureFlow class
Date: 2023-09-18

net.corda.core.flows

## Class CollectSignatureFlow

- net.corda.core.flows.FlowLogic<T>
- - net.corda.core.flows.CollectSignatureFlow

-     @Suspendable
      public class CollectSignatureFlow
      extends FlowLogic<T>

  Get and check the required signature.

- - ### Constructor Detail

    - #### CollectSignatureFlow

          public CollectSignatureFlow(@NotNull
                                      SignedTransaction partiallySignedTx,
                                      @NotNull
                                      FlowSession session,
                                      @NotNull
                                      java.util.List<? extends java.security.PublicKey> signingKeys)

      Get and check the required signature.

      Parameters:
        `partiallySignedTx` - the transaction to sign.
        `session` - the `class FlowSession` to connect to to get the signature.
        `signingKeys` - the list of keys the party should use to sign the transaction.

    - #### CollectSignatureFlow

          public CollectSignatureFlow(@NotNull
                                      SignedTransaction partiallySignedTx,
                                      @NotNull
                                      FlowSession session,
                                      @NotNull
                                      java.security.PublicKey... signingKeys)

  - ### Method Detail

    - #### call

          @Suspendable
           @NotNull
          public java.util.List<net.corda.core.crypto.TransactionSignature> call()

      This is where you fill out your business logic.

    - #### getPartiallySignedTx

          @NotNull
          public SignedTransaction getPartiallySignedTx()

      the transaction to sign.

    - #### getSession

          @NotNull
          public FlowSession getSession()

      the

      `class FlowSession` to connect to to get the signature.

      See Also:
        `class FlowSession`

    - #### getSigningKeys

          @NotNull
          public java.util.List<java.security.PublicKey> getSigningKeys()

      the list of keys the party should use to sign the transaction.